Bug 127158 - w5c2q5
w5c2q5
Status: CLOSED CURRENTRELEASE
Product: Red Hat Academy
Classification: Retired
Component: RHA030 Curriculum (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bowe Strickland
Bowe Strickland
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-02 15:28 EDT by Bowe Strickland
Modified: 2007-04-18 13:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-07 12:31:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bowe Strickland 2004-07-02 15:28:47 EDT
Workbook 5: The Linux Filesystem
> Lesson 2: Hard and Soft Links
> Questions
> 
> Suppose the system administrator moved the /usr/bin directory, as 
> shown. 
> 
> [root@station root]# mv /usr/bin /usr/lib/bin
> 
> 5.  Which files in the new /usr/lib/bin directory would be dangling 
> symbolic links? 
>    A.  bzcat  
> Y  B.  gunzip  
> Y  C.  gzip  
>    D.  lz  
> -  E.  uncompress  
>    F.  zgrep  
> 
> The 'test' claims that 'E' is also a correct answer. If 'E' is
> correct, then so to is 'A'.  'A' & 'E' are both wrong or right
> by the same logic...
> 
> ----- Excerpt -----
> ./bzcat -> bzip2
> ./gunzip -> ../../bin/gunzip
> ./gzip -> ../../bin/gzip
> ./uncompress -> compress
> ----- ----- ----- -----
> 
>    Both gunzip & gzip would be effected by the move of /usr/bin
> 
>    Both bzcat & uncompress point to the current directory
>    Neither bzcat nor uncompress is effected by the move,
> they are either already hanging links or they are not.
> 
> The information given conatains NEITHER bzip2 nor compress,
> says "many lines have been omitted" and so does not give
> enough info to tell if they are hanging links....
> 
>    The correct answers should be 'B' & 'C'.
>
Comment 1 Bowe Strickland 2004-07-02 15:29:18 EDT
fixing this will require a db change, and therefore a new
class version....

Note You need to log in before you can comment on or make changes to this bug.